VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "mscomctl.ocx"
Begin VB.Form Form1 
   Caption         =   "FolderInformations"
   ClientHeight    =   2625
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4380
   LinkTopic       =   "Form1"
   ScaleHeight     =   2625
   ScaleWidth      =   4380
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command2 
      Height          =   2055
      Left            =   3840
      TabIndex        =   4
      Top             =   480
      Width           =   375
   End
   Begin VB.CommandButton Command1 
      Caption         =   "load"
      Height          =   255
      Left            =   3000
      TabIndex        =   2
      Top             =   240
      Width           =   1095
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   0
      TabIndex        =   1
      Text            =   "C:\"
      Top             =   240
      Width           =   2895
   End
   Begin MSComctlLib.ListView ListView1 
      Height          =   2055
      Left            =   0
      TabIndex        =   0
      Top             =   480
      Width           =   3855
      _ExtentX        =   6800
      _ExtentY        =   3625
      View            =   3
      LabelEdit       =   1
      Sorted          =   -1  'True
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   393217
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Zentriert
      BorderStyle     =   1  'Fest Einfach
      Height          =   255
      Left            =   0
      TabIndex        =   3
      Top             =   0
      Width           =   4095
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim minWidth As Double
Dim maxWidth As Double
Dim minHeight As Double
Dim maxHeight As Double

Dim TextChange As Boolean
Dim Loading As Boolean

Private Sub LoadFolder(ByVal TheFolder As String)
 Loading = True
 Command1.Enabled = False
 Command2.Enabled = False
 ListView1.ListItems.Clear
 ListView1.Sorted = False
 Text1.Enabled = False
 DirFiles AddressOf NewFile, AddressOf EndFileList, TheFolder, 7, , StoppIt
 If StoppIt Then Exit Sub
 Text1.Enabled = True
 Command1.Enabled = True
 Command2.Enabled = True
 Loading = False
End Sub

Private Sub Command1_Click()
 TextChange = True
 Text1.Text = LTrim$(RTrim$(Text1.Text))
 If Text1.Text = "" Then Exit Sub
 If Not Right$(Text1.Text, 1) = "\" Then Text1.Text = Text1.Text + "\"
 TextChange = False
 Label1.Caption = Text1.Text
 LoadFolder Text1.Text
End Sub

Private Sub Command2_Click()
 If Label1.Caption = "" Then Exit Sub
 Dim Temp As String
 Temp = LTrim$(RTrim$(Text1.Text))
 If Right$(Temp, 1) = "\" Then Temp = Left$(Temp, Len(Temp) - 1)
 Dim F As Integer
 F = InStrRev(Temp, "\")
 If F = 0 Then Exit Sub
 Temp = Left$(Temp, F)
 If Len(Temp) < Len(Label1.Caption) Then Exit Sub
 TextChange = True
 Text1.Text = Temp
 TextChange = False
 LoadFolder Text1.Text
End Sub

Private Sub Form_Load()
 TextChange = False
 Loading = False
 
 minWidth = Form1.Width
 maxWidth = Screen.Width * 2
 minHeight = Form1.Height
 maxHeight = Screen.Height * 2
 
 ReDim TempFolders(0) As TempFolder
 
 ListView1.ColumnHeaders.Clear
 ListView1.ColumnHeaders.Add 1, , "Dateiname"
 ListView1.ColumnHeaders.Add 2, , "Typ"
 ListView1.ColumnHeaders.Add 3, , "Gre"
 ListView1.ColumnHeaders.Add 4, , "Anteil des Verzeichnisses"
 ListView1.ColumnHeaders.Add 5, , "Anteil von Root"
 
 Dim endl As String
 endl = Chr$(13) + Chr$(10)
 Command2.Caption = "/\" + endl + "|" + endl + "|" + endl + "|" + endl + "|"
End Sub

Private Sub Form_Resize()
 If Form1.WindowState = 1 Then Exit Sub
 If Form1.WindowState = 2 Then
  If (Form1.Width < minWidth) _
  Or (Form1.Width > maxWidth) _
  Or (Form1.Height < minHeight) _
  Or (Form1.Height > maxHeight) Then
   Form1.WindowState = 0
   Form1.Width = maxWidth
   Form1.Height = maxHeight
  End If
 End If
 If (Form1.Width < minWidth) Then Form1.Width = minWidth
 If (Form1.Width > maxWidth) Then Form1.Width = maxWidth
 If (Form1.Height < minHeight) Then Form1.Height = minHeight
 If (Form1.Height > maxHeight) Then Form1.Height = maxHeight
 
 Label1.Width = Form1.ScaleWidth
 Text1.Width = Form1.ScaleWidth * (3 / 4)
 Command1.Left = Text1.Width
 Command1.Width = Form1.ScaleWidth / 4
 ListView1.Height = Form1.ScaleHeight - ListView1.Top
 ListView1.Width = Form1.ScaleWidth - Command2.Width
 Command2.Left = ListView1.Width
 Command2.Height = ListView1.Height
End Sub

Private Sub Form_Unload(Cancel As Integer)
 StoppIt = True
End Sub

Private Sub ListView1_ColumnClick(ByVal ColumnHeader As MSComctlLib.ColumnHeader)
 If ListView1.SortKey = ColumnHeader.Index - 1 Then
  If ListView1.SortOrder = lvwAscending Then
   ListView1.SortOrder = lvwDescending
  Else
   ListView1.SortOrder = lvwAscending
  End If
 Else
  ListView1.SortKey = ColumnHeader.Index - 1
 End If
End Sub

Private Sub ListView1_DblClick()
 If Loading Then Exit Sub
 
 Dim Item As ListItem
 Dim X As Long
 For X = 1 To ListView1.ListItems.Count
  If ListView1.ListItems.Item(X).Selected Then
   Set Item = ListView1.ListItems.Item(X)
   Exit For
  End If
 Next
 If Item Is Nothing Then Exit Sub
 If Item.Tag <> "" Then
  TextChange = True
  Text1.Text = Item.Tag
  TextChange = False
  LoadFolder Text1.Text
 End If
End Sub

Private Sub Text1_Change()
 If TextChange Then Exit Sub
 Label1.Caption = ""
 ListView1.ListItems.Clear
End Sub
